%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Name:		python-gnutls
Version:	1.2.4
Release:	6%{?dist}
Summary:	Python wrapper for the GNUTLS library
Group:		Development/Languages
License:	LGPLv2+
URL:		http://pypi.python.org/pypi/python-gnutls
Source0:	http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Patch1:         track-libgnutls-and-opengpg-versions.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	python-devel
BuildRequires:	gnutls-devel
BuildRequires:	python-setuptools
Requires:	python-twisted-core
Requires:	python-zope-interface


%description
This package provides a high level object oriented wrapper around gnutls,
as well as low level bindings to the GNUTLS types and functions via ctypes.
The high level wrapper hides the details of accessing the GNUTLS library via
ctypes behind a set of classes that encapsulate GNUTLS sessions, certificates
and credentials and expose them to python applications using a simple API.

The package also includes a Twisted interface that has seamless intergration
with Twisted, providing connectTLS and listenTLS methods on the Twisted reactor
once imported (the methods are automatically attached to the reactor by simply
importing the GNUTLS Twisted interface module).

The high level wrapper is written using the GNUTLS library bindings that are
made available via ctypes. This makes the wrapper very powerful and flexible
as it has direct access to all the GNUTLS internals and is also very easy to
extend without any need to write C code or recompile anything.


%prep
%setup -q
%patch1 -p1
chmod 644 examples/*.py


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE PKG-INFO README examples
%{python_sitearch}/gnutls/
%{python_sitearch}/python_gnutls-%{version}-*.egg-info/


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 1.2.4-5
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Nov 08 2013 Nathanael Noblet <nathanael@gnat.ca> - 1.2.4-3
- Fix bug #1015332

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb  7 2013 Tomáš Mráz <tmraz@redhat.com> - 1.2.4-1
- Updated to 1.2.4 upstream version

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Sep  9 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.9-1
- Ver. 1.1.9

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun  3 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.8-3
- Added patch for SRP removal

* Mon Jun  1 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.8-2
- Added missing BR python-setuptools-devel

* Fri May 29 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.8-1
- Initial build

